Subject: Re: [codec] [Technical Errata Reported] RFC6716 (4853)

From: "Timothy B. Terriberry" <[email-masked]>
Date: Wed, 02 Nov 2016 13:11:11 -0700

RFC Errata System wrote:
> --------------------------------------
> Type: Technical
> Reported by: Rostislav Pehlivanov <[email-masked]>
>
> Section: 5.1.1
>
> Original Text
> -------------
>                                      rng
>                          rng = rng - --- * (fh - fl)
>                                      ft
>
> Corrected Text
> --------------
>                                      rng
>                          rng = rng - --- * (ft - fh)
>                                      ft
>
> Notes
> -----
> Equation should match with the one in the range decoder (section 4.1.2), however comparing the two and the reference implementation reveals the equation in section 5.1.1 to be incorrect.

I think this report is correct and should be Verified. Although the code 
is authoritative, this section of the text is complete enough for 
someone to implement this feature directly from the text, so it will 
cause confusion if they don't actually match.

---

From: "Ben Campbell" <[email-masked]>
Date: Wed, 02 Nov 2016 15:15:20 -0500

On 2 Nov 2016, at 15:11, Timothy B. Terriberry wrote:

>> Equation should match with the one in the range decoder (section 
>> 4.1.2), however comparing the two and the reference implementation 
>> reveals the equation in section 5.1.1 to be incorrect.
>
> I think this report is correct and should be Verified. Although the 
> code is authoritative, this section of the text is complete enough for 

Done.

Thanks!

Ben.

---

From: RFC Errata System <[email-masked]>
Date: Wed, 2 Nov 2016 12:05:47 -0700 (PDT)

The following errata report has been submitted for RFC6716,
"Definition of the Opus Audio Codec".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=6716&eid=4853

Section: 5.1.1

Original Text
-------------
                                    rng

Corrected Text
--------------
                                    rng

Notes
-----

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC6716 (draft-ietf-codec-opus-16)
--------------------------------------
Title               : Definition of the Opus Audio Codec
Publication Date    : September 2012
Author(s)           : JM. Valin, K. Vos, T. Terriberry
Category            : PROPOSED STANDARD
Source              : Internet Wideband Audio Codec RAI
Area                : Real-time Applications and Infrastructure
Stream              : IETF
Verifying Party     : IESG